--[[	MapCoords
	by SDPhantom
	http://www.phantomweb.org	]]
------------------------------------------

Minimap:CreateFontString("MapCoordsMinimapText","OVERLAY","NumberFontNormalSmall");
MapCoordsMinimapText:SetPoint("TOP",0,-16);
MapCoordsMinimapText:SetTextColor(1,0.875,0,0.625);
MapCoordsMinimapText:SetText("Hook Failed!");

Minimap:HookScript("OnUpdate",function()
	local x,y=GetPlayerMapPosition("player");
	if x>0 or y>0 then
		MapCoordsMinimapText:SetText(string.format("%0.2f,%0.2f",x*100,y*100));
	else
		MapCoordsMinimapText:SetText("");
	end
end);

Minimap:HookScript("OnEvent",function(self,event,...)
	if event=="ZONE_CHANGED_NEW_AREA" and not WorldMapFrame:IsShown() then
		SetMapToCurrentZone();
	end
end);

WorldMapFrame:HookScript("OnHide",SetMapToCurrentZone);
